---
apiVersion: source.toolkit.fluxcd.io/v1
kind: GitRepository
metadata:
  name: flux-tenants-delivery
  namespace: flux-system
spec:
  interval: 1m0s
  ref:
    branch: main
  secretRef:
    name: flux-image-automation
  url: https://gitlab.com/gitlab-com/gl-infra/k8s-mgmt/tenants/delivery.git
---
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: flux-tenants-delivery
  namespace: flux-system
spec:
  interval: 10m0s
  path: ./
  prune: true
  sourceRef:
    kind: GitRepository
    name: flux-tenants-delivery
  postBuild:
    substituteFrom:
      - kind: ConfigMap
        name: flux-cluster-vars
